APMD(8)

NAME
apmd - Advanced Power Management daemon

SYNOPSIS
apmd [-AaCdHLs] [-f devname] [-S sockname] [-t seconds]

DESCRIPTION
apmd monitors the advanced power management device, apm(4), acting on signaled events and upon user requests as sent by the apm(8) program.

For suspend and standby request events delivered by the BIOS, or via apm(8), apmd runs the appropriate configuration program (if one exists), syncs the buffer cache to disk and initiates the requested state. When resuming after suspend or standby, apmd runs the appropriate configuration program (if one exists).

When the power status changes (battery is connected or disconnected) apmd fetches the current status and reports it via syslog(3) with logging facility LOG_DAEMON.

The options are as follows:

-A  Start apmd in automatic performance adjustment mode. Optimize for performance, but lower hw.setperf when running on battery power or when AC is connected but the battery charge level is low.

-a  BIOS-initiated suspend or standby requests are ignored if the system is connected to line current and not running from batteries (user requests are still honored).

-C  Start apmd in cool running performance adjustment mode. Optimize for low power use by keeping hw.setperf low, except when CPU idle time drops and more performance is required.

-d  apmd enters debug mode, logging to facility LOG_LOCAL1, and stays in the foreground on the controlling terminal.

-f devname
    Specify an alternate device file name, devname.

-H  Start apmd in manual performance adjustment mode, initialising hw.setperf to 100.

-L  Start apmd in manual performance adjustment mode, initialising hw.setperf to 0.

-S sockname
    Specify an alternate socket name, sockname. The socket is protected to mode 0660, UID 0, GID 0; this protects access to suspend requests to authorized users only.

-s  Current battery statistics are reported via syslog(3) and apmd exits without monitoring the APM status.

-t seconds
    apmd periodically polls the APM driver for the current power state. If the battery charge level changes substantially or the external power status changes, the new status is logged. The polling rate defaults to once per 10 minutes, but may be specified using the -t command-line flag.

When a client requests a suspend or stand-by state, apmd does not wait for positive confirmation that the requested state has been entered before replying to the client; to do so would mean the client does not get a reply until the system resumes from its sleep state. Rather, apmd replies with the intended state to the client and then places the system in the requested state after running the configuration script and flushing the buffer cache.

Actions can be configured for the following five transitions: suspend, standby, resume, powerup, and powerdown. The suspend and standby actions are run prior to apmd performing any other actions (such as disk syncs) and entering the new state. The resume program is run after resuming from a stand-by or suspended state. The powerup and powerdown programs are run after the power status (AC connected or not) changes, as well as after a resume (if the power status changed in the mean time).

FILES
/dev/apmctl
    Default device used to control the APM kernel driver.

/etc/apm/suspend
/etc/apm/standby
/etc/apm/resume
/etc/apm/powerup
/etc/apm/powerdown
    These files contain the host's customized actions. Each file must be an executable binary or shell script. A single program or script can be used to control all transitions by examining the name by which it was called, which is one of suspend, standby, resume, powerup, or powerdown.

/var/run/apmdev
    Default UNIX-domain socket used for communication with apm(8).

SEE ALSO
syslog(3), apm(4), apm(8), sysctl(8)

Advanced Power Management (APM) BIOS Interface Specification (revision 1.2), Intel Corporation and Microsoft Corporation.

HISTORY
The apmd command first appeared in NetBSD 1.3. OpenBSD support was added in OpenBSD 1.2.